import React from "react"

export default class Poster extends React.Component {
  constructor(props) {
    super(props);
  }
  shouldComponentUpdate(nextProps) {
    if (nextProps.index !== this.props.index) { return true }
    if (nextProps.selected !== this.props.selected) { return true }
    if (nextProps.data.get("poster_url") !== this.props.data.get("poster_url")) { return true }
    return false;
  }
  render() {
    const selected = this.props.selected ? " thumbnail-selected" : "";
    const imgClass = "thumbnail" + selected;
    const displayClearFixLg = (this.props.index % 6) === 0;
    const displayClearFixMd = (this.props.index % 4) === 0;
    const displayClearFixSm = (this.props.index % 2) === 0;
    return (
      <div>
        {displayClearFixLg &&
            <div className="clearfix visible-lg"></div>
        }
        {displayClearFixMd &&
            <div className="clearfix visible-md"></div>
        }
        {displayClearFixSm &&
            <div className="clearfix visible-sm"></div>
        }
        <div className="col-xs-12 col-sm-6 col-md-3 col-lg-2">
          <a className={imgClass}>
            <img
              src={this.props.data.get("poster_url")}
              onClick={this.props.onClick}
            />
          </a>
        </div>
      </div>
    );
  }
}
